#!/bin/sh
export PATH='/usr/obj/ports/hs-aeson-0.9.0.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: aeson
version: 0.9.0.1
id: aeson-0.9.0.1-7af47764d693988f2d92dc5b1844f9a4
key: aeson_I1ARfXrEZCoHWD1GBzA5BX
license: BSD3
copyright: (c) 2011-2015 Bryan O'\''Sullivan
           (c) 2011 MailRank, Inc.
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
stability: experimental
homepage: https://github.com/bos/aeson
synopsis: Fast JSON parsing and encoding
description:
    A JSON parsing and encoding library optimized for ease of use
    and high performance.
    .
    To get started, see the documentation for the @Data.Aeson@ module
    below.
    .
    Parsing performance on an early 2011 MacBook Pro (2.2GHz Core i7),
    running 64-bit GHC 7.6.3, for mostly-English tweets from Twitter'\''s
    JSON search API:
    .
    * 0.8 KB: 34124 msg\/sec (27.8 MB\/sec)
    .
    * 6.4 KB: 6833 msg\/sec (43.0 MB\/sec)
    .
    * 11.8 KB: 3410 msg\/sec (39.2 MB\/sec)
    .
    * 31.2 KB: 1157 msg\/sec (35.3 MB\/sec)
    .
    * 61.5 KB: 542 msg\/sec (32.5 MB\/sec)
    .
    Handling heavily-escaped text is a little more work.  Here is
    parsing performance with Japanese tweets, where much of the text
    is entirely Unicode-escaped.
    .
    * 14.6 KB: 2101 msg\/sec (30.0 MB\/sec)
    .
    * 44.1 KB: 667 msg\/sec (28.7 MB\/sec)
    .
    * 82.9 KB: 360 msg\/sec (29.2 MB\/sec)
    .
    Encoding performance on the same machine and data:
    .
    * English, 0.8 KB: 109697 msg\/sec (89.3 MB\/sec)
    .
    * English, 6.4 KB: 18517 msg\/sec (116.4 MB\/sec)
    .
    * Engish, 61.5 KB: 1963 msg\/sec (118.0 MB\/sec)
    .
    * Japanese, 14.6 KB: 12140 msg\/sec (173.5 MB\/sec)
    .
    * Japanese, 44.1 KB: 3980 msg\/sec (171.3 MB\/sec)
    .
    (A note on naming: in Greek mythology, Aeson was the father of Jason.)
category: Text, Web, JSON
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
exposed-modules:
    Data.Aeson Data.Aeson.Encode Data.Aeson.Generic Data.Aeson.Parser
    Data.Aeson.Types Data.Aeson.TH
hidden-modules: Data.Aeson.Encode.ByteString Data.Aeson.Functions
                Data.Aeson.Parser.Internal Data.Aeson.Types.Class
                Data.Aeson.Types.Generic Data.Aeson.Types.Instances
                Data.Aeson.Types.Internal
trusted: False
import-dirs: /usr/local/lib/ghc/aeson-0.9.0.1
library-dirs: /usr/local/lib/ghc/aeson-0.9.0.1
data-dir: /usr/local/share/hs-aeson-0.9.0.1
hs-libraries: HSaeson-0.9.0.1-I1ARfXrEZCoHWD1GBzA5BX
depends:
    attoparsec-0.13.0.1-8953826c212c049a5286a9aadeb21f07
    base-4.8.2.0-3d77ba9c3882e564c6ef1b6e7015bbb1
    bytestring-0.10.6.0-e64194d00131ba3386784c6b067aaaac
    containers-0.5.6.2-72662c7d6dea4fa8c95128efb85ebc60
    deepseq-1.4.1.1-7c4279727854e7903ef5ae9e7eb525a5
    dlist-0.7.1.2-32a72b8513df3f4f8581808ed8cd3145
    ghc-prim-0.4.0.0-bf246eb9fdda7435f0c147a313ce59fb
    hashable-1.2.3.3-85e20e136829dbcbfc9542842144965b
    mtl-2.2.1-05005bb32df8fbad260aa2bc8c4b64aa
    scientific-0.3.3.8-7258086196cb2d7d02a1d9a27d06516c
    syb-0.6-56a5944f55f7a9d47e7b770375c0e1ae
    template-haskell-2.10.0.0-2929bae05847475a63942790b63d769b
    text-1.2.1.3-b81318aa9c5f332f4a693000ebc8a335
    time-1.5.0.1-7f6e7d3125c12e9efdc302bc6ee0a210
    transformers-0.4.2.0-a5bbd954d1c2451a9da96a3615054cc0
    unordered-containers-0.2.5.1-b2aacfb1d76cc25f280714e3d5d12fef
    vector-0.11.0.0-038317210aedffb94db1b450a91d7de1
haddock-interfaces: /usr/local/share/doc/hs-aeson-0.9.0.1/html/aeson.haddock
haddock-html: /usr/local/share/doc/hs-aeson-0.9.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
